<div class="container align-content-center">
    <h1>Bonjour!</h1>
    <p class="lead">Bienvenue sur la billetterie évènementielle du BdE INSA Lyon</p>
    <div class="col-md-8 col-lg-6 col-12 offset-md-2 offset-lg-3">
        <div class="card">
            <div class="card-header">
                <h2 class="title">Connexion</h2>
            </div>
            <form (ngSubmit)="login()" autocomplete="nope" class="card-body">

                <div *ngIf="errors"
                     class="alert alert-danger" role="alert">
                    <div><strong>Oh snap!</strong></div>
                    <div>{{ errors }}</div>
                </div>

                <div *ngIf="messages && messages.length > 0"
                     class="alert alert-success" role="alert">
                    <div><strong>Hooray!</strong></div>
                    <div >{{ messages }}</div>
                </div>

                <div class="form-group">
                    <label>Adresse Email</label>
                    <input name="text" [(ngModel)]="username" id="input-username"
                           class="form-control" placeholder="Identifiant"
                           autofocus>
                </div>

                <div class="form-group">
                    <label for="input-password">Mot de passe</label>
                    <input name="password" [(ngModel)]="password" type="password" id="input-password"
                           class="form-control" placeholder="Mot de passe">
                </div>


                <button class="btn btn-block btn-success">
                    Se connecter
                </button>
                <button class="btn btn-block btn-info" routerLink="/espaceclient/varegister">
                    Pas encore de compte ? Créez en un !
                </button>
                <a class="text-center" href="{{ reset_pass_url }}">Mot de passe oublié ? </a>
                <br>
                <p>Note: la billetterie n'est pas reliée aux services informatiques de l'INSA Lyon, n'utilisez donc pas vos identifiants Planete (CAS).</p>
            </form>
        </div>
    </div>
    <p class="lead">
      <a class="btn btn-primary btn-lg" href="http://bde.insa-lyon.org" role="button">Site du BdE</a>
    </p>

</div>